#
# spec file for package perl-Net-Telnet (Version 3.02)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         perl-Net-Telnet
Copyright:    GPL/Artistic License
Group:        Development/Libraries/Perl
Autoreqprov:  on
Version:      3.02
Release:      28
Summary:      Net::Telnet - interact with TELNET port or other TCP ports
Source:       Net-Telnet-%{version}.tar.bz2
BuildRoot:    %{_tmppath}/%{name}-build

%description
Net::Telnet allows you to make client connections to a TCP port and do
network I/O, especially to a port using the TELNET protocol.  Simple
I/O methods such as print, get, and getline are provided.  More
sophisticated interactive features are provided because connecting to
a TELNET port ultimately means communicating with a program designed
for human interaction.  These interactive features include the ability
to specify a time-out and to wait for patterns to appear in the input
stream, such as the prompt from a shell.

Authors:
--------
    Jay Rogers <jay@rgrs.com>

SuSE series: perl

%prep
%setup -n Net-Telnet-%{version}

%build
perl Makefile.PL
make

%install
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/%{perl_archlib}
make PREFIX=$RPM_BUILD_ROOT/%{_prefix} \
     INSTALLMAN1DIR=$RPM_BUILD_ROOT/%{_mandir}/man1 \
     INSTALLMAN3DIR=$RPM_BUILD_ROOT/%{_mandir}/man3 \
     install
install -d $RPM_BUILD_ROOT/var/adm/perl-modules
cat $RPM_BUILD_ROOT%{perl_archlib}/perllocal.pod | sed "s@$RPM_BUILD_ROOT@@g" > $RPM_BUILD_ROOT/var/adm/perl-modules/perl-Net-Telnet
cd $RPM_BUILD_ROOT%{perl_sitearch}/auto/Net/Telnet
cat .packlist | sed "s@$RPM_BUILD_ROOT@@g" | sort -u > .packlist

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
/var/adm/perl-modules/perl-Net-Telnet
%doc ChangeLog MANIFEST README 
%{perl_sitearch}/auto/Net/Telnet/
%{perl_sitearch}/../Net/Telnet.pm
%{_mandir}/man?/*

%changelog -n perl-Net-Telnet
* Wed Aug 22 2001 - rvasice@suse.cz
- initial package release (version 3.02)
